
Name:           k3b-extras
Summary:        Free codec plugins for k3b
Version:        0.12.14
Release:        4%{?dist}

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.k3b.org/
Source0:        http://dl.sf.net/k3b/k3b-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel 
#BuildRequires:  taglib-devel
#BuildRequires:  libmusicbrainz-devel
BuildRequires:  gettext
BuildRequires:  libmpcdec-devel
BuildRequires:  libsndfile-devel

# It already Requires: libk3b.so.2 libk3bdevice.so.2, isn't that enough?  -- Rex
Requires:       k3b >= 0.12 

# older versions contained sndfile_decoder
Conflicts: k3b-extras-nonfree < 0.12.14-2

%description
Free decoder/encoder plugins for k3b, including:
musepack decoder (libmpcdec)
sndfile decoder (libsndfile)


%prep
%setup -q -n k3b-%{version}


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --enable-final \
  --with-musepack \
  --with-sndfile

make %{?_smp_mflags} -C libk3bdevice
make %{?_smp_mflags} -C libk3b
make %{?_smp_mflags} -C plugins/decoder/libsndfile
make %{?_smp_mflags} -C plugins/decoder/musepack


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT -C plugins/decoder/libsndfile
make install DESTDIR=$RPM_BUILD_ROOT -C plugins/decoder/musepack


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/kde3/libk3blibsndfiledecoder.*
%{_libdir}/kde3/libk3bmpcdecoder.*
%{_datadir}/apps/k3b/plugins/k3blibsndfiledecoder.plugin
%{_datadir}/apps/k3b/plugins/k3bmpcdecoder.plugin


%changelog
* Tue Apr 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.12.14-4
- Conflicts: k3b-extras-nonfree < 0.12.14-2

* Sat Apr 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.12.14-2
- drop extraneous BR: taglib-devel, libmusicbrainz-devel
- Requires: k3b >= 0.12

* Mon Mar 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.12.14-1
- -extras subpkg for libsndfile, libmpcdec

